List access tokens.
curl --request GET \
--url https://a.s2.dev/v1/access-tokens \
--header 'Authorization: Bearer <token>'{
"access_tokens": [
{
"auto_prefix_streams": true,
"id": "<string>",
"scope": {
"access_tokens": {
"exact": "<string>"
},
"basins": {
"exact": "<string>"
},
"op_groups": {
"account": {
"read": false,
"write": false
},
"basin": {
"read": false,
"write": false
},
"stream": {
"read": false,
"write": false
}
},
"ops": [
"list-basins"
],
"streams": {
"exact": "<string>"
}
},
"expires_at": "2023-11-07T05:31:56Z",
"network_policy": "<string>"
}
],
"has_more": true
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}access tokens
List access tokens.
List S2 access tokens with prefix filtering and cursor-based pagination.
GET
/
access-tokens
List access tokens.
curl --request GET \
--url https://a.s2.dev/v1/access-tokens \
--header 'Authorization: Bearer <token>'{
"access_tokens": [
{
"auto_prefix_streams": true,
"id": "<string>",
"scope": {
"access_tokens": {
"exact": "<string>"
},
"basins": {
"exact": "<string>"
},
"op_groups": {
"account": {
"read": false,
"write": false
},
"basin": {
"read": false,
"write": false
},
"stream": {
"read": false,
"write": false
}
},
"ops": [
"list-basins"
],
"streams": {
"exact": "<string>"
}
},
"expires_at": "2023-11-07T05:31:56Z",
"network_policy": "<string>"
}
],
"has_more": true
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Access token concepts
Review token scopes, permissions, expiry, and revocation behavior.
Model paging by specifying
start_after as the last access token ID that was returned.
